%global gem_name cane

Name: rubygem-%{gem_name}
Version: 3.0.0
Release: 1%{?dist}
Summary: Fails your build if code quality thresholds are not met. Provides complexity and style checkers built-in, and allows integration with with custom quality metrics
License: Apache License, Version 2.0
URL: https://github.com/square/cane
Source0: %{gem_name}-%{version}.gem
BuildArch: noarch
Requires: ruby
Requires: rubygems
BuildRequires: ruby
BuildRequires: rubygems-devel
BuildRequires: rubygems
Requires: rubygem-parallel 
Requires: rubygem-rspec >= 2.0
Requires: rubygem-rake 
Requires: rubygem-simplecov 
Requires: rubygem-rspec-fire

%description
Tools used by Puppet to parse, validate, and compare Semantic Versions and
Version Ranges and to query and resolve module dependencies.

%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}/%{gem_instdir}/bin/* %{buildroot}/%{_bindir}


%files
%dir %{gem_instdir}
%{gem_instdir}/spec
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%license %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.md
%{_bindir}/cane


%files doc
%{gem_instdir}/%{gem_name}.gemspec
%{gem_instdir}/HISTORY.md
%doc %{gem_docdir}


%changelog
* Wed Dec 18 2019 Breno Brand Fernandes <brandfbb@gmail.com> - 3.3.2-14
- First build

